Subject: bug#21891: Guile 2.1.1: 5 Test failures on OpenBSD/amd64 5.8

From: "Alexander Shendi" <[email-masked]>
Date: Thu, 12 Nov 2015 18:10:44 +0100

Hi,
 
I have built guile-2.1.1 on OpenBSD/amd64 5.8. I did the following:
 
* ./configure --prefix=/usr/local
* gmake -j 3
* check-guile # For testing the release
I installed the following packages to stisfy dependencies:
 
$ pkg_info -I boehm-gc gmp libltdl libffi libunistring

boehm-gc-7.4.2p0    garbage collection and memory leak detection for C and C++
gmp-5.0.2p3         library for arbitrary precision arithmetic
libltdl-2.4.2p1     GNU libtool system independent dlopen wrapper
libffi-3.1p0        Foreign Function Interface
libunistring-0.9.5  manipulate Unicode strings
 
The build itself went smoothly and the system seems to work, but the generated "check-guile.log" shows
5 errors. I do not have enough guile-foo to deceide if the failures are serious or not.
 
I have attached the gzipped log.
 
Many thanks in advance for your help and many thanks for maintaining guile.
 
Best Regards,
 
Alexander